

/**
 * 工具类自动生成的API，请勿做任何修改，请勿做任何修改，请勿做任何修改（重要的事情说3遍）
 * 工具作者: 杨志杰
 *  
 */
var CurdWindowResource = {};
	/**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 根据 WindowId 获取 Window 的定义 
	 */
	CurdWindowResource.uniqueByNo = function(no) {
		var requestUrl = "/api/CurdWindowResource/uniqueByNo";
		var paramCount = 0;
		if (no != null) {
			requestUrl += (paramCount > 0) ? '&' : '?';
			requestUrl += ('no=' + no);
			paramCount++;
		}
		return new Promise(function(resolve, reject) {
			$.ajax({
				url: Common.getUrlApi(requestUrl),
				type: "get",
				dataType: "json",
				beforeSend: function (request) {
					addTokenToRequest(request);
				},
				success: function (data) {
					resolve(data);
				},
				error: function (XMLHttpRequest, textStatus, errorThrown) {
					reject(XMLHttpRequest);
				}
			});
		});
	}

